EnhancedBars_Options = {

	-- Use true to show drained/recovered portion of the health bar (like many fighting games).

	ShowChange = true,


	-- Use true to show predicted HoT on the health bar (requires that OverTimePredictor is enabled).

	ShowHoT = true,


	-- Use true to show predicted DoT on the health bar (requires that OverTimePredictor is enabled).

	ShowDoT = true,


	-- Use true to show predicted absorb (damage absorption) on the health bar (requires that OverTimePredictor is enabled).

	ShowAbsorb = true,


	-- Use true to show predicted necro (healing absorption) on the health bar (requires that OverTimePredictor is enabled).

	ShowNecro = true,


	-- Use true to show predicted damage absorption as a mini bar within the health bar.
	-- This option is recommanded if you think the health bar display is overcrowded with colors.
	-- It also allows to estimate better the strength of big damage absorption effects when cast on a healthy target.

	AbsorbAlternativeDisplay = true,

};

local layout = {

	-- Note to users: you can customize colors and timings of EnhancedBars here.

	[-1] = {
		minSpeed = 0.25,   -- Minimal drain speed (in % of full bar per sec)
		maxSpeed = 1.00,   -- Maximal drain speed (in % of full bar per sec)
		adjustTime = 2.00, -- Normal time needed to drain (before applying above min/max)
		pause = {
			["DECREASE"] = 0.50, -- Pause when a new drain occurs
			["INCREASE"] = 0.50, -- Pause when a new recovery occurs
		},
		colors = {
			["DECREASE"] = {r = 1.00, g = 0.00, b = 0.00},
			["INCREASE"] = {r = 0.50, g = 1.00, b = 0.00},
			["DOT"]      = {r = 1.00, g = 0.80, b = 0.00},
			["HOT"]      = {r = 0.00, g = 0.50, b = 0.00},
			["ABSORB"]   = {r = 1.00, g = 1.00, b = 1.00},
			["NECRO"]    = {r = 0.40, g = 0.40, b = 0.60},
		},
	},

};

-- --------------------------------------------------------------------
-- **                            Functions                           **
-- --------------------------------------------------------------------

function EnhancedBars_GetLayout(powerType, mode)
	local info = layout[powerType or -1];
	return info.minSpeed, info.maxSpeed, info.adjustTime, info.pause[mode] or 0, info.colors[mode];
end